/**
Theme Name: sport-pro-zivot
Author:      jelinek@plnt.cz
Author URI:  https://plnt.cz
Description: Child theme with little visual customisations to astra theme
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: sport-pro-zivot
Template: astra
*/

/* === Payment method logo */

.wc_payment_method img {
  width: 90px;
  height: auto;
}

/* === Sidebar filter */

.woocommerce .widget_price_filter .price_slider_amount .button {
  float: right;
}

.woocommerce .widget_price_filter .price_slider_amount {
  text-align: left;
}

/* === Front page header */
.kpz-sale-bubble img {
  filter: drop-shadow(3px 3px 6px rgba(0,0,0,.35));
}

/* === Category overlaid title */

.ast-advanced-headers-title {
  letter-spacing: 3px;
}

@media (min-width: 680px) {
  .ast-advanced-headers-title {
    font-size: 60px !important;
    letter-spacing: 3px;
  }
}


.ast-advanced-headers-wrap .taxonomy-description {
  display: none;
}

.woocommerce-loop-category__title {
  bottom: 1.3em !important;
  background: transparent !important;
  color: #fff !important;
  font-size: 20px !important;
  text-transform: none !important;
}

.woocommerce-loop-category__title mark {
  color: #fff;
  opacity: 1 !important;
  text-transform: none;
  font-weight: normal;
  font-size: 14px !important;
}

/* === Carousel */

.elementor-image-carousel-caption {
  position: absolute;
  left: 24px;
  top: 50%;
  transform: translate(0, -50%);
  width: calc(95% - 48px);
  max-width: 450px;
  text-align: left!important;
  color: #fff;
}

@media (min-width: 600px) {
  .elementor-image-carousel-caption {
    left: 35%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
}

.elementor-image-carousel-caption h2 {
  color: #fff;
  text-align: left;
  font-size: 26px;
  margin-bottom: 30px;
  text-shadow: 0 0 5px rgba(0, 0, 0, .5);
  line-height: 1.2;
}

.elementor-image-carousel-caption .btn {
  display: inline-block;
  font-weight: 300;
  letter-spacing: 4px;
  background-color: #df2228;
  color: #fff;
  border-radius: 50px 50px 50px 50px;
  padding: 12px 20px 12px 20px;
  text-transform: uppercase;
  font-size: 16px;
}

@media (min-width: 1200px) {
  .elementor-image-carousel-caption .btn {
    padding: 8px 24px 8px 24px;
    font-size: 16px;
  }

  .elementor-image-carousel-caption h2 {
    font-size: 34px;
  }
}

@media (min-width: 1440px) {
  .elementor-image-carousel-caption h2 {
    font-size: 38px;
  }
}

.swiper-slide-inner {
  width: 100%;
  height: 0;
  padding-top: 80%;
}

@media (min-width: 667px) {
  .swiper-slide-inner {
    padding-top: 40%;
  }
}

@media (min-width: 980px) {
  .swiper-slide-inner {
    padding-top: 23.4375%;
  }
}

.swiper-slide-image {
  width: 100% !important;
  height: 100% !important;
  position: absolute;
  right: 0;
  top: 0;
  object-fit: cover;
  object-position: 40% 50%;
}

@media (min-width: 600px) {
  .swiper-slide-image {
    object-position: center center;
  }
}

/* === Disabled button */

.woocommerce #respond input#submit.disabled,
.woocommerce #respond input#submit:disabled,
.woocommerce #respond input#submit:disabled[disabled],
.woocommerce a.button.disabled,
.woocommerce a.button:disabled,
.woocommerce a.button:disabled[disabled],
.woocommerce button.button.disabled,
.woocommerce button.button:disabled,
.woocommerce button.button:disabled[disabled],
.woocommerce input.button.disabled,
.woocommerce input.button:disabled,
.woocommerce input.button:disabled[disabled] {
  background: #f5f5f5;
  border-color: #f5f5f5;
}


/* === Hide product count on product categories */

.cat-parent > .count {
  display: none;
}

.woocommerce-product-search .search-field {
  margin-right: 12px;
  max-width: 170px;
}

.woocommerce .astra-off-canvas-sidebar-wrapper .astra-off-canvas-sidebar, .woocommerce-page .astra-off-canvas-sidebar-wrapper .astra-off-canvas-sidebar {
  padding: 24px;
}

.kpz-section-title {
  padding-bottom: 60px;
  position: relative;
  color: #005693;
  font-weight: 700;
  text-align: center;
}

.kpz-section-title:after {
  content: '';
  height: 3px;
  width: 60px;
  display: inline-block;
  background: #005693;
  position: absolute;
  left: 50%;
  bottom: 30px;
  transform: translateX(-50%);
}


/* === Categories list */

@media (max-width: 544px) {
  .products .product-category {
    text-align: center!important;
    margin-bottom: 0!important;
  }

  .astra-shop-filter-button {
    margin-bottom: 36px!important;
  }
}


@media (min-width: 769px) {
  .woocommerce #content .ast-woocommerce-container div.product div.images,
  .woocommerce .ast-woocommerce-container div.product div.images,
  .woocommerce-page #content .ast-woocommerce-container div.product div.images,
  .woocommerce-page .ast-woocommerce-container div.product div.images {
    width: 50%;
  }
}

.elementor-widget-container .product {
  padding-bottom: 0 !important;
}

.woocommerce-widget-layered-nav,
.tax-kpz_rental_location .astra-off-canvas-sidebar .widget_product_categories,
.term-pujcovna .astra-off-canvas-sidebar .widget_product_categories,
.kpz-locations-widget {
  display: none !important;
}


.tax-kpz_rental_location .astra-off-canvas-sidebar .woocommerce-widget-layered-nav,
.tax-kpz_rental_location .astra-off-canvas-sidebar .kpz-locations-widget,
.tax-kpz_rental_location .astra-off-canvas-sidebar .kpz-locations-widget,
.term-pujcovna .astra-off-canvas-sidebar .woocommerce-widget-layered-nav,
.term-pujcovna .astra-off-canvas-sidebar .kpz-locations-widget,
.term-pujcovna .astra-off-canvas-sidebar .kpz-locations-widget {
  display: block !important;
}

.woocommerce-order-details.child-section .woocommerce-order-details__title {
  display: none;
}
